import request from '@/utils/request'

// 查询电力负荷设施指标列表
export function listLoadIndex(query) {
  return request({
    url: '/ems/object/loadIndex/list',
    method: 'get',
    params: query
  })
}

// 查询电力负荷设施指标详细
export function getLoadIndex(id) {
  return request({
    url: '/ems/object/loadIndex/' + id,
    method: 'get'
  })
}

// 新增电力负荷设施指标
export function addLoadIndex(data) {
  return request({
    url: '/ems/object/loadIndex',
    method: 'post',
    data: data
  })
}

// 修改电力负荷设施指标
export function updateLoadIndex(data) {
  return request({
    url: '/ems/object/loadIndex',
    method: 'put',
    data: data
  })
}

// 删除电力负荷设施指标
export function delLoadIndex(id) {
  return request({
    url: '/ems/object/loadIndex/' + id,
    method: 'delete'
  })
}
